<?php
/*
* Advertisement Widget
*/
class Authoritymarketer_Adv_Widget extends WP_Widget {
	function __construct() {
		/* Constructor */

		$widget_ops = array(
			'classname' => 'widget Advertise',
			'description' => esc_html__( 'common advertise widget in sidebar, bottom section','authoritymarketer' ),
		);
		parent::__construct( 'Authoritymarketer_Adv_Widget', esc_html__( 'Advertisement Widget','authoritymarketer' ), $widget_ops );

	}

	function widget( $args, $instance ) {
		// prints the widget
		extract( $args, EXTR_SKIP );
		$desc1 = empty( $instance['desc1'] ) ? '&nbsp;' : apply_filters( 'widget_desc1', $instance['desc1'] );
		$double = empty( $instance['double'] ) ? '' : apply_filters( 'widget_double', $instance['double'] );
		$desc2 = empty( $instance['desc2'] ) ? '&nbsp;' : apply_filters( 'widget_desc2', $instance['desc2'] );
		echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) ); ?>          
	   <div class="advt <?php if ( @$double ) {echo 'advt-2c';
} else { echo 'advt-1c'; } ?>">
		<?php if ( $desc1 <> '' ) { ?>	
			<?php echo wp_kses( $desc1, wp_kses_allowed_html( 'post' ) ); ?> 
			<?php } ?>
			<?php if ( $desc2 <> '' && @$double != '' ) { ?>	
			<?php echo wp_kses( $desc2, wp_kses_allowed_html( 'post' ) ); ?> 
			<?php } ?>
	   </div>  
	<?php echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
	}
	function update( $new_instance, $old_instance ) {
		//save the widget
		return $new_instance;
	}
	function form( $instance ) {
		//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array(
			'double' => '',
			'desc1' => '',
			'desc2' => '',
		) );
		$double = ($instance['double']);
		$desc1 = ($instance['desc1']);
		$desc2 = ($instance['desc2']);
?>
		<p>
			<input class="checkbox" onclick="return authoritymarketer_show_twice_adv('<?php echo $this->get_field_id( 'double' ); ?>','<?php echo $this->get_field_id( 'desc2' ); ?>');" type="checkbox" <?php checked( $double ); ?> id="<?php echo $this->get_field_id( 'double' ); ?>" name="<?php echo $this->get_field_name( 'double' ); ?>" value="1"/>
		
			<label for="<?php echo $this->get_field_id( 'double' ); ?>"><?php esc_html_e( 'Display twice  advertisement?','authoritymarketer' ); ?></label>
		</p>
		
		<p>
		
		<label for="<?php echo $this->get_field_id( 'desc1' ); ?>"><?php esc_html_e( 'your advt code (ex.google adsense etc.)','authoritymarketer' ); ?>: </label>
		<textarea class="widefat" rows="6" cols="20" id="<?php echo $this->get_field_id( 'desc1' ); ?>" name="<?php echo $this->get_field_name( 'desc1' ); ?>"><?php echo wp_kses( $desc1, wp_kses_allowed_html( 'post' ) ); ?></textarea>
		
		</p>
		
		<p <?php if ( @ ! $double ) {?> class="hide_class" <?php } ?> id="<?php echo $this->get_field_id( 'desc2' ); ?>"><label for="<?php echo $this->get_field_id( 'desc2' ); ?>"><?php esc_html_e( 'your advt code (ex.google adsense etc.)','authoritymarketer' ); ?>
		
		<textarea class="widefat" rows="6" cols="20" id="<?php echo $this->get_field_id( 'desc2' ); ?>" name="<?php echo $this->get_field_name( 'desc2' ); ?>"><?php echo wp_kses( $desc2, wp_kses_allowed_html( 'post' ) ); ?></textarea></label>
			
		</p>      
<?php
	}}
?>
