<?php
/*
*
* Author Widget
*/
class Authoritymarketer_Author_Widget extends WP_Widget {

	function __construct() {
		/* Constructor */

		$widget_ops = array(
			'classname' => 'widget Author',
			'description' => esc_html__( 'Shows Author information for detail page','authoritymarketer' ),
		);
		parent::__construct( 'Authoritymarketer_Author_Widget', esc_html__( 'Author Widget','authoritymarketer' ), $widget_ops );

	}

	function widget( $args, $instance ) {
		// prints the widget
		extract( $args, EXTR_SKIP );
		$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
		$designation = empty( $instance['designation'] ) ? '' : apply_filters( 'widget_designation', $instance['designation'] );
		$facebook = empty( $instance['facebook'] ) ? '' : apply_filters( 'widget_facebook', $instance['facebook'] );
		$twitter = empty( $instance['twitter'] ) ? '' : apply_filters( 'widget_twitter', $instance['twitter'] );
		$pinterest = empty( $instance['pinterest'] ) ? '' : apply_filters( 'widget_pinterest', $instance['pinterest'] );
		$google = empty( $instance['google'] ) ? '' : apply_filters( 'widget_google', $instance['google'] );
		global $post;
		if ( $post ) {
			$user_info = get_userdata( $post->post_author );
			echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
			?>						
			<div class="widget widget_about_author widget-widget_about_author">
				<div class="widget-wrap widget-inside">	
						<?php echo wp_kses( get_avatar( $post->post_author ), wp_kses_allowed_html( 'post' ) );  ?>
						<?php if ( $title ) { ?>
					  <h3 class="widget-title"> <?php echo wp_kses( $title, wp_kses_allowed_html( 'post' ) ); ?> </h3>
						<?php }?>
					  <h5 class="author_name"><?php echo wp_kses( authoritymarketer_author_link(), wp_kses_allowed_html( 'post' ) ); ?></h5>
						<?php if ( $designation ) { ?>
					  <h6> <?php echo wp_kses( $designation, wp_kses_allowed_html( 'post' ) ); ?> </h6>
						<?php }?>
					<p><?php echo @wp_kses( $user_info->description, wp_kses_allowed_html( 'post' ) ); ?></p>
					<ul class="social">
							<?php if ( $facebook ) { ?><li><a target="_blank" class="facebook" href="<?php echo esc_url( $facebook ); ?>">
						<i class="fa fa-facebook"></i></a> </li><?php }?>
						<?php if ( $twitter ) { ?><li><a target="_blank" class="twitter" href="<?php echo esc_url( $twitter ); ?>">
						<i class="fa fa-twitter"></i></a> </li><?php }?>
						<?php if ( $pinterest ) { ?><li><a target="_blank" class="pinterest" href="<?php echo esc_url( $pinterest ); ?>">
						<i class="fa fa-pinterest"></i></a> </li><?php }?>
						<?php if ( $google ) { ?><li><a target="_blank" class="google-plus" href="<?php echo esc_url( $google ); ?>">
						<i class="fa fa-google-plus"></i></a> </li><?php }?>
					 </ul>
				</div>
			</div>                     
		<?php echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
		}
	}
	function update( $new_instance, $old_instance ) {
		//save the widget
		return $new_instance;
	}
	function form( $instance ) {
		//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array(
			'title' => '',
			'designation' => '',
			'facebook' => '',
			'twitter' => '',
			'pinterest' => '',
			'google' => '',
		) );
		$title = sanitize_text_field( $instance['title'] );
		$designation = sanitize_text_field( $instance['designation'] );
		$facebook = sanitize_text_field( $instance['facebook'] );
		$twitter = sanitize_text_field( $instance['twitter'] );
		$pinterest = sanitize_text_field( $instance['pinterest'] );
		$google = sanitize_text_field( $instance['google'] );
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:','authoritymarketer' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo wp_kses( $title, wp_kses_allowed_html( 'post' ) ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'designation' ); ?>"><?php esc_html_e( 'Designation:','authoritymarketer' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'designation' ); ?>" name="<?php echo $this->get_field_name( 'designation' ); ?>" type="text" value="<?php echo wp_kses( $designation, wp_kses_allowed_html( 'post' ) ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php esc_html_e( 'Facebook Link:','authoritymarketer' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo esc_url( $facebook ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php esc_html_e( 'Twitter Link:','authoritymarketer' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="text" value="<?php echo esc_url( $twitter ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php esc_html_e( 'Pinterest Link:','authoritymarketer' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" type="text" value="<?php echo esc_url( $pinterest ); ?>" />
		</p>
		 <p>
			<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php esc_html_e( 'Pinterest Link:','authoritymarketer' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" type="text" value="<?php echo esc_url( $pinterest ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'google' ); ?>"><?php _e( 'Google Plus Link:','authoritymarketer' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'google' ); ?>" name="<?php echo $this->get_field_name( 'google' ); ?>" type="text" value="<?php echo esc_url( $google ); ?>" />
		</p>

		<?php
	}
}
?>
