<?php
/*-------------------------------------------------------------------
Social widget START
--------------------------------------------------------------------*/
if ( ! class_exists( 'Authoritymarketer_Social_Media' ) ) {
	class Authoritymarketer_Social_Media extends WP_Widget {

		function __construct() {
			/* Constructor */

			$widget_ops = array( 'classname' => 'widget social_media','description' => apply_filters( 'authoritymarketer_social_media_description',esc_html__( 'Add icons and links to your social media accounts. Works in header, footer, main content and sidebar widget areas.','authoritymarketer' ) ) );
			parent::__construct( 'social_media', esc_html__( 'Social Media','authoritymarketer' ), $widget_ops );

		}

		function widget( $args, $instance ) {
			// prints the widget
			extract( $args, EXTR_SKIP );
			echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
			echo '<div class="social_media" >';
			$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
			$social_description = empty( $instance['social_description'] ) ? '' : apply_filters( 'widget_title', $instance['social_description'] );
			$social_link = empty( $instance['social_link'] ) ? '' : apply_filters( 'widget_social_link', $instance['social_link'] );
			$social_icon = empty( $instance['social_icon'] ) ? '' : apply_filters( 'widget_social_icon', $instance['social_icon'] );
			$social_text = empty( $instance['social_text'] ) ? '' : apply_filters( 'widget_social_text', $instance['social_text'] );
			if ( function_exists( 'icl_register_string' ) ) {
				icl_register_string( 'authoritymarketer','social_media_title',$title );
				$title              = icl_t( 'authoritymarketer','social_media_title',$title );
				icl_register_string( 'authoritymarketer','social_description',$social_description );
				$social_description = icl_t( 'authoritymarketer','social_description',$social_description );
			}
			if ( $title != '' ) {
				echo wp_kses( $args['before_title'], wp_kses_allowed_html( 'post' ) ) . wp_kses( $title, wp_kses_allowed_html( 'post' ) ) . wp_kses( $args['after_title'], wp_kses_allowed_html( 'post' ) );
			}
			if ( $social_description != '' ) : ?>
				<p class="social_description"> <?php echo wp_kses( $social_description, wp_kses_allowed_html( 'post' ) );?> </p>
				<?php endif;?>
				<div class="social_media widget_contact_info">
					<div class="widget-wrap widget-inside">
					<ul class="social_media_list inline-list social">
					<?php

				if (is_array($social_icon) && count($social_icon) >= 0) {

					for ( $c = 0; $c < count( $social_icon ); $c++ ) {
						if ( function_exists( 'icl_register_string' ) ) {
							icl_register_string( 'authoritymarketer',@$social_text[ $c ],@$social_text[ $c ] );
							$social_text[ $c ] = icl_t( 'authoritymarketer',@$social_text[ $c ],@$social_text[ $c ] );
						}
						?>
						<li> <a href="<?php echo @esc_url( $social_link[ $c ] ); ?>" class="<?php echo esc_attr( $social_text[ $c ] ); ?>" target="_blank" >
				<?php
				if ( @$social_icon[ $c ] != '' ) :
					echo @wp_kses( $social_icon[ $c ], wp_kses_allowed_html( 'post' ) );
				endif;
						?></a> </li>
				<?php
					}

				}
									?>
						</ul>
					</div>
				</div>
				<?php
				echo '</div>';
				echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
		}
		function update( $new_instance, $old_instance ) {
			//save the widget
			return $new_instance;
		}
		function form( $instance ) {
			//widget form in backend
			$instance = wp_parse_args( (array) $instance, array(
				'title' => 'Connect To Us',
				'social_description' => 'Find Us On Social Sites',
				'social_link' => array( '//facebook.com/templatic', '//twitter.com/templatic', '//www.youtube.com/user/templatic' ),
				'social_icon' => array( '<i class="fa fa-facebook"></i>', '<i class="fa fa-twitter"></i>', '<i class="fa fa-linkedin"></i>' ),
				'social_text' => array( 'facebook', 'twitter', 'linkedin' ),
			) );
			$title              = strip_tags( $instance['title'] );
			$social_description = strip_tags( $instance['social_description'] );
			$social_link1       = ($instance['social_link']);
			$social_icon1       = ($instance['social_icon']);
			$social_text1       = ($instance['social_text']);
			global $social_link,$social_icon,$social_text;
			$text_social_link = $this->get_field_name( 'social_link' );
			$text_social_icon = $this->get_field_name( 'social_icon' );
			$text_social_text = $this->get_field_name( 'social_text' );
			?>
			<p>
			  <label for="<?php echo $this->get_field_id( 'title' ); ?>">
				<?php echo esc_html__( 'Title','authoritymarketer' );?>
				:
				<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
			  </label>
			</p>
			<p>
			  <label for="<?php echo $this->get_field_id( 'social_description' ); ?>">
				<?php echo esc_html__( 'Description','authoritymarketer' );?>
				:
				<input class="widefat" id="<?php echo $this->get_field_id( 'social_description' ); ?>" name="<?php echo $this->get_field_name( 'social_description' ); ?>" type="text" value="<?php echo esc_attr( $social_description ); ?>" />
			  </label>
			</p>
			<p> <i><?php  esc_html_e( 'Please enter full URL to your profiles.','authoritymarketer' ); ?> </i> </p>
			<p>
			  <label for="<?php echo $this->get_field_id( 'social_link' ); ?>">
				<?php echo esc_html__( 'Social Link','authoritymarketer' );?>
				:
				<input class="widefat" id="<?php echo $this->get_field_id( 'social_link' ); ?>" name="<?php echo esc_attr( $text_social_link ); ?>[]" type="text" value="<?php echo esc_attr( @$social_link1[0] ); ?>" />
			  </label>
			</p>
			<p>
			  <label for="<?php echo $this->get_field_id( 'social_icon' ); ?>">
				<?php echo esc_html__( 'Social Icon','authoritymarketer' );?>
				:
				<input class="widefat" id="<?php echo $this->get_field_id( 'social_icon' ); ?>" name="<?php echo $text_social_icon; ?>[]" type="text" value="<?php echo esc_attr( @$social_icon1[0] ); ?>" />
			  </label>
			</p>
			<p>
			  <label for="<?php echo $this->get_field_id( 'social_text1' ); ?>">
				<?php echo esc_html__( 'Social Class','authoritymarketer' );?>
				:
				<input class="widefat" id="<?php echo $this->get_field_id( 'social_text1' ); ?>" name="<?php echo esc_attr( $text_social_text ); ?>[]" type="text" value="<?php echo esc_attr( @$social_text1[0] ); ?>" />
			  </label>
			</p>
			<div id="social_tGroup" class="social_tGroup">
			<?php

			$j = 0; //to avaoid undefine variable 

			for ( $i = 1;$i < count( $social_link1 );$i++ ) {
				if ( $social_link1[ $i ] != '' ) {
					$j = $i + 1;
					echo '<div  class="SocialTextDiv' . $j . '">';
					echo '<p>';
					echo '<label>' . esc_html__( 'Social Link','authoritymarketer' ) . $j;
					echo '<input class="widefat" name="' . @esc_url( $text_social_link ) . '[]" type="text" value="' . esc_attr( $social_link1[ $i ] ) . '" />';
					echo '</label>';
					echo '</p>';
					echo '<p>';
					echo '<label>' . esc_html__( 'Social Icon ','authoritymarketer' ) . $j;
					echo ' <input type="text" class="widefat"  name="' . @esc_attr( $text_social_icon ) . '[]" value="' . esc_attr( $social_icon1[ $i ] ) . '">';
					echo '</label>';
					echo '</p>';
					echo '<p>';
					echo '<label>' . esc_html__( 'Social Class ','authoritymarketer' ) . $j;
					echo ' <input type="text" class="widefat"  name="' . @esc_attr( $text_social_text ) . '[]" value="' . esc_attr( $social_text1[ $i ] ) . '">';
					echo '</label>';
					echo '</p>';
					echo '</div>';
				}
			}
				$script = 'var social_counter = ' . ($j + 1);
				wp_add_inline_script( 'authoritymarketer-script', $script );
				?>
				</div>
				<a	href="javascript:void(0);" id="addtButton" class="addButton" onclick="authoritymarketer_social_add_tfields('<?php echo $text_social_link; ?>','<?php echo $text_social_icon; ?>','<?php echo $text_social_text; ?>');"><?php esc_html_e( '+ Add more','authoritymarketer' ); ?></a> &nbsp; | &nbsp; <a
				href="javascript:void(0);" id="removetButton" class="removeButton" onclick="authoritymarketer_social_remove_tfields();"><?php esc_html_e( '- Remove','authoritymarketer' ); ?></a>
<?php
		}
	}
}// End if().
?>
