<?php
/* -------------------------------------------------
Subscriber widget
---------------------------------------------------*/
if ( ! class_exists( 'Authoritymarketer_Subscriber_Widget' ) ) {
	class Authoritymarketer_Subscriber_Widget extends WP_Widget {

		function __construct() {
			/* Constructor */

			//Constructor
			$widget_ops = array(
				'classname' => 'widget Newsletter subscribe',
				'description' => apply_filters( 'authoritymarketer_subscriber_widget_title',esc_html__( 'Shows a subscribe box with which users can subscribe to your newsletter. Works best in main content, subsidiary and footer areas.','authoritymarketer' ) ),
			);
			parent::__construct( 'Authoritymarketer_Subscriber_Widget',apply_filters( 'subscribewidget_filter',esc_html__( 'Newsletter','authoritymarketer' ) ), $widget_ops );

		}

		function widget( $args, $instance ) {
			// prints the widget
			extract( $args, EXTR_SKIP );
			global $mailchimp_api_key,$mailchimp_list_id;
			$feedburner_id = empty( $instance['feedburner_id'] ) ? '' : apply_filters( 'widget_feedburner_id', $instance['feedburner_id'] );
			$title = empty( $instance['title'] ) ? __( 'Subscribe To Newsletter','authoritymarketer' ) : apply_filters( 'widget_title', $instance['title'] );
			$text = empty( $instance['text'] ) ? __( 'Subscribe to get our latest news','authoritymarketer' ) : apply_filters( 'widget_text', $instance['text'] );
			$newsletter_provider = empty( $instance['newsletter_provider'] ) ? 'feedburner' : apply_filters( 'widget_newsletter_provider', $instance['newsletter_provider'] );
			$aweber_list_name = empty( $instance['aweber_list_name'] ) ? '' : apply_filters( 'widget_aweber_list_name', $instance['aweber_list_name'] );
			$feedblitz_list_id = empty( $instance['feedblitz_list_id'] ) ? '' : apply_filters( 'widget_feedblitz_list_id', $instance['feedblitz_list_id'] );
			echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
			?>
		<div class="subscribe newsletter_subscribe_footer_widget">
		  <div class="subscribe_wall">
			<?php
			if ( function_exists( 'icl_register_string' ) ) {
				icl_register_string( 'authoritymarketer',$title,$title );
				$title1 = icl_t( 'authoritymarketer',$title,$title );
			} else {
				$title1 = $title;
			}
			if ( $title1 && current_theme_supports( 'newsletter_title_abodediv' ) ) {
				echo wp_kses( $args['before_title'], wp_kses_allowed_html( 'post' ) );
				echo wp_kses( $title1, wp_kses_allowed_html( 'post' ) );
				echo wp_kses( $args['after_title'], wp_kses_allowed_html( 'post' ) );
			}  ?>
			<div class="subscribe_cont">
					<?php
					if ( $title1 && ! current_theme_supports( 'newsletter_title_abodediv' ) ) {
						echo wp_kses( $args['before_title'], wp_kses_allowed_html( 'post' ) );
						echo wp_kses( $title1, wp_kses_allowed_html( 'post' ) );
						echo wp_kses( $args['after_title'], wp_kses_allowed_html( 'post' ) );
					}
					if ( function_exists( 'icl_register_string' ) ) {
						icl_register_string( 'authoritymarketer',$text,$text );
						$text1 = icl_t( 'authoritymarketer',$text,$text );
					} else {
						$text1 = $text;
					}
						?>
						<?php if ( $text1 ) { ?>
					  <p> <?php echo wp_kses( $text1, wp_kses_allowed_html( 'post' ) ); ?> </p>
						<?php }?>
					  <span class="newsletter_msg hide_class" id="newsletter_msg"> </span>
						<?php
						if ( $newsletter_provider == 'feedburner' ) {
							?>
						  <form action="//feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('//feedburner.google.com/fb/a/mailverify?uri=<?php echo wp_kses( $feedburner_id, wp_kses_allowed_html( 'post' ) ); ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true" >
							<input type="text" id="name" name="name" value="" class="field" onfocus="if (this.placeholder == '<?php esc_html_e( 'Your Name','authoritymarketer' );?>') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = '<?php esc_html_e( 'Your Name','authoritymarketer' );?>';}" placeholder ="<?php esc_html_e( 'Your Name','authoritymarketer' ); ?>"  />
							<input type="text" id="email" name="email" value="" class="field" onfocus="if (this.placeholder == '<?php _e( 'Your Email Address','authoritymarketer' );?>') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = '<?php esc_html_e( 'Your Email Address','authoritymarketer' );?>';}" placeholder="<?php esc_html_e( 'Your Email Address','authoritymarketer' ); ?>"/>
							<input type="hidden" value="<?php echo wp_kses( $feedburner_id, wp_kses_allowed_html( 'post' ) ); ?>" name="uri"   />
							<input type="hidden" value="<?php bloginfo( 'name' ); ?>" name="title" />
							<input type="hidden" name="loc" value="en_US"/>
							<input class="replace button" type="submit" name="submit" value="<?php esc_html_e( 'Join Now','authoritymarketer' );?>" />
						  </form>
							<?php
						} elseif ( $newsletter_provider == 'feedblitz' ) {
							?>
						  <form Method="POST" action="//www.feedblitz.com/f/f.fbz?AddNewUserDirect" target="popupwindow" onsubmit="window.open('//www.feedblitz.com/f/f.fbz?AddNewUserDirect', 'popupwindow', 'scrollbars=yes,width=600,height=730');return true" >
							<input type="text" name="email" id="email" value="" class="field" onfocus="if (this.placeholder == '<?php esc_html_e( 'Your Email Address','authoritymarketer' );?>') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = '<?php esc_html_e( 'Your Email Address','authoritymarketer' );?>';}" placeholder="<?php _e( 'Your Email Address','authoritymarketer' );?>"/>
							<input name="FEEDID" type="hidden" value="<?php echo wp_kses( $feedblitz_list_id, wp_kses_allowed_html( 'post' ) );?>">
							<input type="submit" class="button" name="feedblitz_submit" value="<?php esc_html_e( 'Subscribe','authoritymarketer' );?>">
						  </form>
							<?php
						} elseif ( $newsletter_provider == 'aweber' ) {
							?>
						  <form method="post" action="//www.aweber.com/scripts/addlead.pl">
							<input type="hidden" name="listname" value="<?php echo wp_kses( $aweber_list_name, wp_kses_allowed_html( 'post' ) );?>" />
							<input type="hidden" name="redirect" value="<?php echo esc_url( $_SERVER['REQUEST_URI'] );?>" />
							<input type="hidden" name="meta_adtracking" value="custom form" />
							<input type="hidden" name="meta_message" value="1" />
							<input type="hidden" name="meta_required" value="name,email" />
							<input type="hidden" name="meta_forward_vars" value="1" />
							<input type="text" name="name" id="name" value="" class="field" onfocus="if (this.placeholder == 'Name') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = 'Name';}"  placeholder="<?php esc_html_e( 'Name','authoritymarketer' );?>"/>
							<input type="text" name="email" id="email" value="" class="field" onfocus="if (this.placeholder == 'Your Email Address') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = 'Your Email Address';}"  placeholder="<?php esc_html_e( 'Your Email Address','authoritymarketer' );?>"/>
							<input type="submit" class="button" name="aweber_submit" value="Subscribe" />
						  </form>
							<?php
						}// End if().
	?>
					</div>
				  </div>
				</div>

<?php
			echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
		}
		function update( $new_instance, $old_instance ) {
			//save the widget
			return $new_instance;
		}
		function form( $instance ) {
			//widgetform in backend
			$instance = wp_parse_args( (array) $instance, array(
				'title' => __( 'Subscribe To Newsletter','authoritymarketer' ),
				'text' => __( 'Subscribe to get our latest news','authoritymarketer' ),
				'newsletter_provider' => 'feedburner',
				'feedburner_id' => '',
				'mailchimp_api_key' => '',
				'mailchimp_list_id' => '',
				'aweber_list_name' => '',
				'feedblitz_list_id' => '',
			) );
			$feedburner_id       = strip_tags( $instance['feedburner_id'] );
			$title               = strip_tags( $instance['title'] );
			$text                = strip_tags( $instance['text'] );
			$newsletter_provider = strip_tags( $instance['newsletter_provider'] );
			$mailchimp_api_key   = strip_tags( $instance['mailchimp_api_key'] );
			$mailchimp_list_id   = strip_tags( $instance['mailchimp_list_id'] );
			$aweber_list_name    = strip_tags( $instance['aweber_list_name'] );
			$feedblitz_list_id   = strip_tags( $instance['feedblitz_list_id'] );?>
			<p>
			  <label for="<?php echo $this->get_field_id( 'title' ); ?>">
				<?php echo esc_html__( 'Title:','authoritymarketer' );?>
				<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
			  </label>
			</p>
			<p>
			  <label for="<?php echo $this->get_field_id( 'text' ); ?>">
				<?php echo esc_html__( 'Text Below Title:','authoritymarketer' );?>
				<input class="widefat" id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>" type="text" value="<?php echo esc_attr( $text ); ?>" />
			  </label>
			</p>
			<p>
			  <label for="<?php echo $this->get_field_id( 'newsletter_provider' ); ?>">
				<?php echo esc_html__( 'Newsletter Provider','authoritymarketer' );?>
				:
				<select id="<?php echo $this->get_field_id( 'newsletter_provider' ); ?>" name="<?php echo $this->get_field_name( 'newsletter_provider' ); ?>" onchange="show_hide_divs(this.value,'<?php echo $this->get_field_id( 'feedburner_id1' ); ?>','<?php echo $this->get_field_id( 'mailchimp_id1' ); ?>','<?php echo $this->get_field_id( 'feedblitz_id1' ); ?>','<?php echo $this->get_field_id( 'aweber_id1' ); ?>');" >
				  <option value="">
					<?php echo esc_html__( 'Please select','authoritymarketer' );?>
				  </option>
				  <option value="feedburner" <?php
					if ( 'feedburner' == $newsletter_provider ) {echo 'selected=selected';}?>>
								<?php echo esc_html__( 'Feedburner','authoritymarketer' );?>
							  </option>
							  <option value="feedblitz" <?php
								if ( 'feedblitz' == $newsletter_provider ) {echo 'selected=selected';}?>>
								<?php echo esc_html__( 'FeedBlitz','authoritymarketer' );?>
							  </option>
							  <option value="aweber" <?php
								if ( 'aweber' == $newsletter_provider ) {echo 'selected=selected';}?>>
						<?php echo esc_html__( 'Aweber','authoritymarketer' );?>
					  </option>
					</select>
				  </label>
				</p>
				<p id="<?php echo $this->get_field_id( 'feedburner_id1' ); ?>" class="<?php
				if ( $newsletter_provider == 'feedburner' ) {echo 'show_class';
				} else { echo 'hide_class';
				};?>">
				  <label for="<?php echo $this->get_field_id( 'feedburner_id' ); ?>">
					<?php echo esc_html__( 'ID:','authoritymarketer' );?>
					<input class="widefat" id="<?php echo $this->get_field_id( 'feedburner_id' ); ?>" name="<?php echo $this->get_field_name( 'feedburner_id' ); ?>" type="text" value="<?php echo esc_attr( $feedburner_id ); ?>" />
				  </label>
				</p>
				<p id="<?php echo $this->get_field_id( 'mailchimp_id1' ); ?>" class="<?php
				if ( $newsletter_provider == 'mailchimp' ) {echo 'show_class';
				} else { echo 'hide_class';}?>">
				  <label for="<?php echo $this->get_field_id( 'mailchimp_api_key' ); ?>">
					<?php echo esc_html__( 'Mailchimp API Key:','authoritymarketer' );?>
					<a href="#" target="_blank"> <?php echo wp_kses( '(?)', wp_kses_allowed_html( 'post' ) ); ?> </a>
					<input class="widefat" id="<?php echo $this->get_field_id( 'mailchimp_api_key' ); ?>" name="<?php echo $this->get_field_name( 'mailchimp_api_key' ); ?>" type="text" value="<?php echo esc_attr( $mailchimp_api_key ); ?>" />
				  </label>
				  <label for="<?php echo $this->get_field_id( 'mailchimp_list_id' ); ?>">
					<?php echo __( 'List Id:','authoritymarketer' );?>
					<a href="#" target="_blank"> <?php echo wp_kses( ' (?)', wp_kses_allowed_html( 'post' ) ); ?>  </a>
					<input class="widefat" id="<?php echo $this->get_field_id( 'mailchimp_list_id' ); ?>" name="<?php echo $this->get_field_name( 'mailchimp_list_id' ); ?>" type="text" value="<?php echo esc_attr( $mailchimp_list_id ); ?>" />
				  </label>
				</p>
				<p id="<?php echo $this->get_field_id( 'feedblitz_id1' ); ?>" class="<?php
				if ( $newsletter_provider == 'feedblitz' ) {echo 'show_class';
				} else { echo 'hide_class';} ?>">
				  <label for="<?php echo $this->get_field_id( 'feedblitz_list_id' ); ?>">
					<?php echo esc_html__( 'List ID:','authoritymarketer' );?>
					<input class="widefat" id="<?php echo $this->get_field_id( 'feedblitz_list_id' ); ?>" name="<?php echo $this->get_field_name( 'feedblitz_list_id' ); ?>" type="text" value="<?php echo esc_attr( $feedblitz_list_id ); ?>" />
				  </label>
				</p>
				<p id="<?php echo $this->get_field_id( 'aweber_id1' ); ?>" class="<?php
				if ( $newsletter_provider == 'aweber' ) {echo 'show_class';
				} else { echo 'hide_class';} ?>">
				  <label for="<?php echo $this->get_field_id( 'aweber_list_name' ); ?>">
					<?php echo esc_html__( 'List Name:','authoritymarketer' );?>
					<input class="widefat" id="<?php echo $this->get_field_id( 'aweber_list_name' ); ?>" name="<?php echo $this->get_field_name( 'aweber_list_name' ); ?>" type="text" value="<?php echo esc_attr( $aweber_list_name ); ?>" />
				  </label>
				</p>
		<?php
		}
	}
}// End if().
?>
