<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package Authority Marketer
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="//gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>


	<header class="site-header" role="banner">
		<?php if ( has_nav_menu( 'primary' ) ) : ?>
				<div class="menu-outer">
					<div class="row">
					<div id="main-menu" class="menu animated" aria-label="<?php esc_html_e( 'Primary Menu', 'authoritymarketer' ); ?>" >
							<?php
							wp_nav_menu( array(
								'theme_location' => 'primary',
								'menu_class'     => 'menu',
							) );
						?>
				   </div><!-- .main-navigation -->
				   </div>
				</div>
		<?php endif; ?>

			<div class="row">
			<div class="large-12 columns show-for-large-up hide-for-xsmall-only">
				<div class="row">
					<div class="large-6 medium-6 columns logo-wrap">
						<?php
								global $authoritymarketer_settings;
						if ( isset( $authoritymarketer_settings['authoritymarketer_logo_url'] ) && $authoritymarketer_settings['authoritymarketer_logo_url'] ) { ?>
									<div class='site-logo'><a class="logo" href="<?php echo home_url(); ?>" rel="nofollow">
										<img src="<?php echo esc_html($authoritymarketer_settings['authoritymarketer_logo_url']); ?>" title="<?php bloginfo( 'description' ); ?>"/>
									</a></div>
									<?php
						} else { ?>
							<hgroup>
								<h1 class='site-title'><a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><?php bloginfo( 'name' ); ?></a></h1>
								<h2 class='site-description'><?php bloginfo( 'description' ); ?></h2>
							</hgroup>
						<?php } ?>


											</div><!-- .site-branding -->
					<div class="large-6 medium-6 columns header-right">
						<?php if ( is_active_sidebar( 'header_right' ) ) : ?>
							<?php dynamic_sidebar( 'header_right' ); ?>
						<?php endif; ?>
					</div>
				</div>
			</div>
		  </div>

			</header><!-- #masthead -->


		<?php if ( is_home() ) { ?>
	<?php if ( is_active_sidebar( 'header_bottom' ) ) : ?>
				<div class="large-12 columns head-bottom">
					<div class="row"><?php dynamic_sidebar( 'header_bottom' ); ?></div>
				</div>
	<?php endif; ?>
	<?php } else { ?>
	<?php } ?>


	 <div id="content" class="site-inner">
		<div class="row clearfix">
			<div class="content-box clearfix">
