<?php
/**
 * Merlin WP configuration file.
 */

if ( ! class_exists( 'Merlin' ) ) {
	return;
}

/**
 * Set directory locations, text strings, and other settings for Merlin WP.
 */
$wizard = new Merlin(
	// Configure Merlin with custom settings.
	$config  = array(
		'directory'             => 'inc/lib/merlin', // Location / directory where Merlin WP is placed in your theme.
		'merlin_url'            => 'merlin',  // The wp-admin page slug where Merlin WP loads.
		'child_action_btn_url'  => 'https://codex.wordpress.org/child_themes', // URL for the 'child-action-link'.
		'dev_mode'              => true,
		'theme_license_step'    => false, // EDD license activation step.
		'edd_remote_api_url'    => '', // EDD_Theme_Updater_Admin remote_api_url.
		'edd_item_name'         => '', // EDD_Theme_Updater_Admin item_name.
		'edd_theme_slug'        => '', // EDD_Theme_Updater_Admin item_slug.
		'theme_license_btn_url' => '', // URL for the 'theme-license-action-link'.
	),
	// Text strings.
	$strings = array(
		'admin-menu'                   => esc_html__( 'Theme Setup', 'authoritymarketer' ),

		/* translators: 1: Title Tag 2: Theme Name 3: Closing Title Tag */
		'title%s%s%s%s'                => esc_html__( '%1$s%2$s Themes &lsaquo; Theme Setup: %3$s%4$s', 'authoritymarketer' ),
		'return-to-dashboard'          => esc_html__( 'Return to the dashboard', 'authoritymarketer' ),

		'btn-skip'                     => esc_html__( 'Skip', 'authoritymarketer' ),
		'btn-next'                     => esc_html__( 'Next', 'authoritymarketer' ),
		'btn-start'                    => esc_html__( 'Start', 'authoritymarketer' ),
		'btn-no'                       => esc_html__( 'Cancel', 'authoritymarketer' ),
		'btn-plugins-install'          => esc_html__( 'Install', 'authoritymarketer' ),
		'btn-child-install'            => esc_html__( 'Install', 'authoritymarketer' ),
		'btn-content-install'          => esc_html__( 'Install', 'authoritymarketer' ),
		'btn-import'                   => esc_html__( 'Import', 'authoritymarketer' ),
		'btn-theme-license-install'    => esc_html__( 'Activate', 'authoritymarketer' ),

		'theme-license-header'         => esc_html__( 'Activate', 'authoritymarketer' ),
		'theme-license-header-success' => esc_html__( 'You\'re good to go!', 'authoritymarketer' ),
		'theme-license'                => esc_html__( 'Input the theme license key and activate it, to unlock the theme\'s full potential.', 'authoritymarketer' ),
		'theme-license-label'          => esc_html__( 'License Key:', 'authoritymarketer' ),
		'theme-license-success%s'      => esc_html__( 'The theme is already registered, so you can go to the next step!', 'authoritymarketer' ),
		'theme-license-action-link'    => esc_html__( 'Need help?', 'authoritymarketer' ),

		/* translators: ThemeName */
		'welcome-header%s'             => esc_html__( 'Welcome to %s', 'authoritymarketer' ),
		'welcome-header-success%s'     => esc_html__( 'Hi. Welcome back', 'authoritymarketer' ),
		'welcome%s'                    => esc_html__( 'This wizard will set up your theme, install plugins, and import content. It is optional & should take only a few minutes.', 'authoritymarketer' ),
		'welcome-success%s'            => esc_html__( 'You may have already run this theme setup wizard. If you would like to proceed anyway, click on the "Start" button below.', 'authoritymarketer' ),

		'child-header'                 => esc_html__( 'Install Child Theme', 'authoritymarketer' ),
		'child-header-success'         => esc_html__( 'You\'re good to go!', 'authoritymarketer' ),
		'child'                        => esc_html__( 'Let\'s build & activate a child theme so you may easily make theme changes.', 'authoritymarketer' ),
		'child-success%s'              => esc_html__( 'Your child theme has already been installed and is now activated, if it wasn\'t already.', 'authoritymarketer' ),
		'child-action-link'            => esc_html__( 'Learn about child themes', 'authoritymarketer' ),
		'child-json-success%s'         => esc_html__( 'Awesome. Your child theme has already been installed and is now activated.', 'authoritymarketer' ),
		'child-json-already%s'         => esc_html__( 'Awesome. Your child theme has been created and is now activated.', 'authoritymarketer' ),

		'plugins-header'               => esc_html__( 'Install Plugins', 'authoritymarketer' ),
		'plugins-header-success'       => esc_html__( 'You\'re up to speed!', 'authoritymarketer' ),
		'plugins'                      => esc_html__( 'Let\'s install some essential WordPress plugins to get your site up to speed.', 'authoritymarketer' ),
		'plugins-success%s'            => esc_html__( 'The required WordPress plugins are all installed and up to date. Press "Next" to continue the setup wizard.', 'authoritymarketer' ),
		'plugins-action-link'          => esc_html__( 'Advanced', 'authoritymarketer' ),

		'import-header'                => esc_html__( 'Import Content', 'authoritymarketer' ),
		'import'                       => esc_html__( 'Let\'s import content to your website, to help you get familiar with the theme.', 'authoritymarketer' ),
		'import-action-link'           => esc_html__( 'Advanced', 'authoritymarketer' ),

		'ready-header'                 => esc_html__( 'All done. Have fun!', 'authoritymarketer' ),

		/* translators: Theme Author */
		'ready%s'                      => esc_html__( 'Your theme has been all set up. Enjoy your new theme by %s.', 'authoritymarketer' ),
		'ready-action-link'            => esc_html__( 'Extras', 'authoritymarketer' ),
		'ready-big-button'             => esc_html__( 'View your website', 'authoritymarketer' ),
		'ready-link-1'                 => sprintf( '<a href="%1$s" target="_blank">%2$s</a>', 'https://wordpress.org/support/', esc_html__( 'Explore WordPress', 'authoritymarketer' ) ),
		'ready-link-2'                 => sprintf( '<a href="%1$s" target="_blank">%2$s</a>', 'https://templatic.com/contact/', esc_html__( 'Get Theme Support', 'authoritymarketer' ) ),
		'ready-link-3'                 => sprintf( '<a href="%1$s" target="_blank">%2$s</a>', admin_url( 'customize.php' ), esc_html__( 'Start Customizing', 'authoritymarketer' ) ),
	)
);


function authorityMarketer_local_import_files() {
	return array(
		array(
			'import_file_name'             => 'Demo Import',
			'local_import_file'            => get_parent_theme_file_path( '/inc/demo/content.xml' ),
			'local_import_widget_file'     => get_parent_theme_file_path( '/inc/demo/widgets.wie' ),
			'local_import_customizer_file' => get_parent_theme_file_path( '/inc/demo/export.dat' ),
			'import_preview_image_url'     => 'http://www.your_domain.com/merlin/preview_import_image1.jpg',
			'import_notice'                => __( 'A special note for this import.', 'authoritymarketer' ),
			'preview_url'                  => 'https://ecommerce-consulting.salttechno.website',
		),
	);
}
add_filter( 'merlin_import_files', 'authorityMarketer_local_import_files' );


/**
* After import setup
*/
function authorityMarketer_after_import_setup() {
	update_option( 'show_on_front', 'posts' );
}
add_action( 'merlin_after_all_import', 'authorityMarketer_after_import_setup' );
